-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlPackage

Declaration :

- C++ : class UmlPackage : public UmlBasePackage
- Java : class UmlPackage extends UmlBasePackage

This class manages a 'package', notes that the project itself is a package You can modify it as you want (except the constructor)

Artifact : UmlPackage

Operation UmlPackage

Declaration :

- C++ : public: UmlPackage(void * id, const QCString & n) : UmlBasePackage(id, n)
- Java : public UmlPackage(long id, String n)

All public operations :

apply , associatedDiagram , children , childrenVisible , cppHDir , cppNamespace , cppSrcDir , create , defined_ , description , findModule , findNamespace , findPackage , getProject , identifier_ , idlDir , idlModule , isMarked , isProjectModified , isToolRunning , isWritable , javaDir , javaPackage , kind , kind , loadProject , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveProject , set_AssociatedDiagram , set_childrenVisible , set_CppHDir , set_CppNamespace , set_CppSrcDir , set_Description , set_IdlDir , set_IdlModule , set_isMarked , set_JavaDir , set_JavaPackage , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload